Package com.sun.mail.dsn

# Class Report

java.lang.Object
com.sun.mail.dsn.Report

Direct Known Subclasses:
  `DeliveryStatus`, `DispositionNotification`

public abstract class Report extends Object
An abstract report type, to be included in a MultipartReport. Subclasses define specific report types, such as `DeliveryStatus` and `DispositionNotification`.

Since:
  JavaMail 1.4.2

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`type`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Report(String type)`
Construct a report of the indicated MIME subtype.

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
Get the MIME subtype of the report.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

protected String type

## Constructor Details

### Report

protected Report(String type)
Construct a report of the indicated MIME subtype. The primary MIME type is always "message".

Parameters:
  `type` - the MIME subtype

## Method Details

### getType

public String getType()
Get the MIME subtype of the report. The primary MIME type is always "message".

Returns:
  the MIME subtype